Page MenuHomePhabricator

Reindexer.php error: Call to a member function indexToIndexTypes() on a non-object
Closed, ResolvedPublic

Description

Problem: Reindexing is broken

Versions:

  • MediaWiki 1.26.0
  • CirrusSearch-REL1_26-2ce9dd6
  • Elastica-REL1_26-2703907

Command:
php updateSearchIndexConfig.php --reindexAndRemoveOk --indexIdentifier now

Output:

content index...

Fetching Elasticsearch version...1.7.3...ok
Scanning available plugins...
        head
Setting index identifier...wiki_mw-test_content_1450260716
Picking analyzer...german
Creating index...ok
        Validating number of shards...ok
        Validating replica range...ok
        Validating shard allocation settings...done
        Validating max shards per node...ok
Validating analyzers...ok
Validating mappings...
        Validating mapping...different...corrected
Validating cache warmers...
        Updating Hauptseite...done
Validating aliases...
        Validating wiki_mw-test_content alias...is taken...
        Reindexing...

PHP Notice: Undefined variable: conn in /var/www/mw-test/extensions/CirrusSearch/includes/Maintenance/Reindexer.php on line 147
PHP Fatal error: Call to a member function indexToIndexTypes() on a non-object in /var/www/mw-test/extensions/CirrusSearch/includes/Maintenance/Reindexer.php on line 147

Event Timeline

SmartK created this task.Dec 16 2015, 10:17 AM
SmartK raised the priority of this task from to Medium.
SmartK updated the task description. (Show Details)
SmartK added a project: CirrusSearch.
SmartK added a subscriber: SmartK.
Restricted Application added a project: Discovery. · View Herald TranscriptDec 16 2015, 10:17 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Aklapper renamed this task from Reindexer.php problem with MediaWiki 1.26.0 to Reindexer.php error: Call to a member function indexToIndexTypes() on a non-object.Dec 16 2015, 10:59 AM
Aklapper raised the priority of this task from Medium to Needs Triage.
Aklapper set Security to None.
Restricted Application added a subscriber: StudiesWorld. · View Herald TranscriptDec 16 2015, 10:59 AM
EBernhardson moved this task from Needs triage to Search on the Discovery board.Feb 11 2016, 11:25 PM

This one is fixed by 2ac205ef805d3ec82ea3aa2e3531f552ee3648d2 - looks like it needs to be pulled into 1.26 branch.

This just needs backporting to 1.26, right?

Deskana added a subscriber: EBernhardson.

@EBernhardson says this is easy since it just needs cherry-picking and testing.

Deskana triaged this task as Low priority.Apr 7 2016, 8:33 PM
Restricted Application added a project: Discovery-Search. · View Herald TranscriptApr 7 2016, 8:33 PM
Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptDec 14 2016, 6:38 PM
debt closed this task as Resolved.Jun 15 2017, 5:25 PM
debt claimed this task.
debt added a subscriber: debt.

This is fixed in the 1.27 release, closing.